PETSc version 3.15.5
Fix/Edit manual page

# TSSetMaxTime

Sets the maximum (or final) time for timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxTime(TS ts,PetscReal maxtime)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| maxtime | - final time to step to

### Options Database Keys

| -ts_max_time <maxtime> | - Sets maxtime

### Notes

The default maximum time is 5.0

### See Also

TSGetMaxTime(), TSSetMaxSteps(), TSSetExactFinalTime()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex1.c.html
src/ts/tutorials/ex2.c.html
src/ts/tutorials/ex3.c.html
src/ts/tutorials/ex4.c.html
src/ts/tutorials/ex5.c.html
src/ts/tutorials/ex6.c.html
src/ts/tutorials/ex7.c.html
src/ts/tutorials/ex8.c.html
src/ts/tutorials/ex9.c.html
src/ts/tutorials/ex10.c.html
src/ts/tutorials/ex11.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages